Re-export `<$` from Prelude
ClosedPublic

Authored by hvr on Feb 24 2015, 10:58 AM.

Details

Summary

This is an extension of D680 in case the proposal to add <$ as well
passes.

Depends on D680

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
hvr updated this revision to Diff 2303.Feb 24 2015, 10:58 AM
hvr retitled this revision from to Re-export `<$` from Prelude.
hvr updated this object.
hvr edited the test plan for this revision. (Show Details)
hvr added reviewers: austin, ekmett.
hvr updated the Trac tickets for this revision.
hvr added a parent revision: D680: Re-export `<$>` from Prelude.
hvr updated this revision to Diff 2304.Feb 24 2015, 11:20 AM

fixup testsuite

austin accepted this revision.Mar 3 2015, 7:12 AM
austin edited edge metadata.

It looks like there hasn't been much (if any) opposition to this operator either, so I think this one should go in as well as D680.

This revision is now accepted and ready to land.Mar 3 2015, 7:12 AM
ekmett accepted this revision.Mar 7 2015, 2:31 AM
ekmett edited edge metadata.

LGTM

This revision was automatically updated to reflect the committed changes.